<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.121.10.54
Name: TestResultStatus
Description: Zibs definiëren TestUitslagStatus met andere waarden dan observation/statusCode toestaat. Hierin staat de originele zib-waarde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000">
   <title>TestResultStatus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]
Item: (TestResultStatus)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]
Item: (TestResultStatus)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]"
         id="d41e2294-false-d106249e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="string(@classCode) = ('OBS')">(TestResultStatus): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="string(@moodCode) = ('EVN')">(TestResultStatus): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']) &gt;= 1">(TestResultStatus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']) &lt;= 1">(TestResultStatus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="count(hl7:code[(@code = '92236-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(TestResultStatus): element hl7:code[(@code = '92236-9' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="count(hl7:code[(@code = '92236-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(TestResultStatus): element hl7:code[(@code = '92236-9' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(TestResultStatus): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(TestResultStatus): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']
Item: (TestResultStatus)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']"
         id="d41e2300-false-d106317e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(TestResultStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.121.10.54')">(TestResultStatus): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.121.10.54' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]/hl7:code[(@code = '92236-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (TestResultStatus)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]/hl7:code[(@code = '92236-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e2305-false-d106336e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(TestResultStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="@nullFlavor or (@code='92236-9' and @codeSystem='2.16.840.1.113883.6.1')">(TestResultStatus): de elementwaarde MOET een zijn van 'code '92236-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="@displayName">(TestResultStatus): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (TestResultStatus)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.54']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d41e2319-false-d106363e0">
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15-2020-09-01T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(TestResultStatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.13.1.15 TestUitslagStatusCodelijst (2020-09-01T00:00:00)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.54-2022-03-30T000000.html"
              test="@xsi:type">(TestResultStatus): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>
</pattern>
